summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Zbigniew Baniewski2011-01-06 20:33:17 +0100
committer Robby Workman2011-01-10 22:04:22 +0100
commitd9fa4977912e6a91a00306fc826f1634bb8019ae (patch)
tree3c10bc56e11fcae140b34aa5c9838be5b6e114f9
parentb4e6e6e31f84ee6ea40e72d8ea6948892b2ac4e0 (diff)
downloadslackbuilds-d9fa4977912e6a91a00306fc826f1634bb8019ae.tar.gz
graphics/pho: Added (photo viewer)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--graphics/pho/README5
-rw-r--r--graphics/pho/pho.SlackBuild77
-rw-r--r--graphics/pho/pho.info10
-rw-r--r--graphics/pho/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/graphics/pho/README b/graphics/pho/README
new file mode 100644
index 0000000000..cf12b7d38b
--- /dev/null
+++ b/graphics/pho/README
@@ -0,0 +1,5 @@
+pho (pronounced like the first syllable in "photo") is a lightweight
+program for viewing large numbers of images quickly, rotating or deleting
+some, and making notes about what to do with each image -- for instance,
+for going through hundreds of images after uploading them from a digital
+camera.
diff --git a/graphics/pho/pho.SlackBuild b/graphics/pho/pho.SlackBuild
new file mode 100644
index 0000000000..aa35f7fd71
--- /dev/null
+++ b/graphics/pho/pho.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for Pho
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=pho
+VERSION=0.9.6
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar zxvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Change prefix + CFLAGS in Makefile
+sed -i -e "/^INSTALLPREFIX/s|usr/local|usr|" \
+ -e "s|^CFLAGS =|CFLAGS +=|" Makefile
+
+CFLAGS=$SLKCFLAGS \
+make
+make install DESTDIR=$PKG
+
+find $PKG/usr/bin | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING HACKING README ChangeLog TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/pho/pho.info b/graphics/pho/pho.info
new file mode 100644
index 0000000000..0812762a42
--- /dev/null
+++ b/graphics/pho/pho.info
@@ -0,0 +1,10 @@
+PRGNAM="pho"
+VERSION="0.9.6"
+HOMEPAGE="http://www.shallowsky.com/software/pho/"
+DOWNLOAD="http://www.shallowsky.com/software/pho/pho-0.9.6.tar.gz"
+MD5SUM="a219de8f2da9be0f857c357ea1b9e09f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"
diff --git a/graphics/pho/slack-desc b/graphics/pho/slack-desc
new file mode 100644
index 0000000000..5963faa501
--- /dev/null
+++ b/graphics/pho/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pho: pho (photo viewer)
+pho:
+pho: Photo viewer
+pho:
+pho: http://www.shallowsky.com/software/pho/
+pho:
+pho:
+pho:
+pho:
+pho:
+pho: